Bug 429792 - vnc server options wrong, server dies after 5 seconds.
vnc server options wrong, server dies after 5 seconds.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vnc-ltsp-config (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 19:52 EST by Jonathan Underwood
Modified: 2008-02-07 15:53 EST (History)
0 users

See Also:
Fixed In Version: 4.0-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-01-22 19:52:26 EST
Description of problem:
Installing the vnc-ltsp-config package and attempting to connect to the server
fails. 

Changing 

-fp unix/:7100

to 

-fp /usr/share/X11/fonts/misc/

in /etc/sysconfig/vncts fixes this problem.



Version-Release number of selected component (if applicable):
vnc-ltsp-config-4.0-3

How reproducible:
Everytime
Comment 1 Rex Dieter 2008-01-22 19:55:54 EST
Is X font server installed and running?
/sbin/service xfs status
Comment 2 Rex Dieter 2008-01-22 19:57:15 EST
doh, missing
Requires: xorg-x11-xfs
at least.
Comment 3 Jonathan Underwood 2008-01-23 06:45:51 EST
No, the font server isn't installed, and that's why it doesn't work as
configured. I was under the impression that the font server is deprecated. The
fix above makes it all work without the font server. The alternative, as you
say, is to require the font server.
Comment 4 Rex Dieter 2008-01-23 07:42:44 EST
Yeah, xfs is deprecated (esp in f9), but there's more fonts required than just
those in X11/fonts/misc.  I'll add the dep for now (pre f9), and will have to
ponder what to do for f9+.
Comment 5 Jonathan Underwood 2008-01-23 09:09:09 EST
As I understand it, the -fp option can take a comma separated list of paths to
search for fonts, so presumably it would be possible to add the other
directories under /usr/share/X11/fonts ? Does the font server pull fonts from
anywhere else? 
Comment 6 Rex Dieter 2008-01-23 09:14:28 EST
xfs uses whatever is in /etc/X11/fs/config, which can be different from
system-to-system, depending on which font sets you have installed.
Comment 7 Rex Dieter 2008-01-23 09:20:31 EST
I see vnc in devel/rawhide is built with:
--with-default-font-path="catalogue:/etc/X11/fontpath.d,built-ins"

I'll try that out.
Comment 8 Rex Dieter 2008-01-23 09:24:14 EST
Can you try removing the -fp altogether from /etc/sysconfig/vncts ?  vnc's
default fontpath *should* work as-is.

I'll try it myself too.
Comment 9 Rex Dieter 2008-01-23 09:31:17 EST
wee! it worked.  That's what I'll do, remove -fp altogether.
Comment 10 Jonathan Underwood 2008-01-23 09:47:56 EST
yes indeed, removing the -fp all together works fine for me on F8. And that's
without the font server installed.
Comment 11 Rex Dieter 2008-01-23 09:52:11 EST
* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0-4
- vncts.sysconfig: remove -fp entries, use vnc defaults (#429792)
Comment 12 Fedora Update System 2008-01-24 16:53:03 EST
vnc-ltsp-config-4.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vnc-ltsp-config'
Comment 13 Fedora Update System 2008-01-24 17:04:15 EST
vnc-ltsp-config-4.0-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vnc-ltsp-config'
Comment 14 Fedora Update System 2008-02-07 15:53:43 EST
vnc-ltsp-config-4.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-02-07 15:53:59 EST
vnc-ltsp-config-4.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.